Subject: PrologSQL on Unix, Anyone?

From: Jan Wielemaker <[email-masked]>
Date: Thu, 30 Mar 2000 10:56:31 +0200

Hi,

I am scanning through Sergey Sikorsky's PrologSQL, hoping I could use
it on Unix with mySQL or similar database.  I'm not much of a database
guy, but I understand it is not entirely trivial.

PrologSQL builds on OTL, a C++ for OCI (Oracle Call Interface)
and ODBC.  So the fundamental question is, can I get OTL to talk to
mySQL?  Anyone with experience?

Second question is on performance.  I needs this database to store
about 2,500,000 (short-)string-tripples, indexed on one of the
arguments. What kind of performance can I expect to retrieve an indexed
tripple?  Modifying does not need to be fast.

	Thanks --- Jan